restic backup(1)

NAME

restic-tag - Modify tags on snapshots

SYNOPSIS

restic tag [flags] [snapshot-ID ...]

DESCRIPTION

The "tag" command allows you to modify tags on exiting snapshots.

You can either set/replace the entire set of tags on a snapshot, or add tags to/remove tags from the existing set.

When no snapshot-ID is given, all snapshots matching the host, tag and path filter criteria are modified.

EXIT STATUS

Exit status is 0 if the command was successful, and non-zero if there was any error.

OPTIONS

--add=[]
    tags which will be added to the existing tags in the format tag[,tag,...] (can be given multiple times)

-h, --help[=false]
    help for tag

-H, --host=[]
    only consider snapshots for this host (can be specified multiple times)

--path=[]
    only consider snapshots including this (absolute) path (can be specified multiple times)

--remove=[]
    tags which will be removed from the existing tags in the format tag[,tag,...] (can be given multiple times)

--set=[]
    tags which will replace the existing tags in the format tag[,tag,...] (can be given multiple times)

--tag=[]
    only consider snapshots including tag[,tag,...] (can be specified multiple times)

OPTIONS INHERITED FROM PARENT COMMANDS

--cacert=[]
    file to load root certificates from (default: use system certificates)

--cache-dir=""
    set the cache directory. (default: use system default cache directory)

--cleanup-cache[=false]
    auto remove old cache directories

--compression=auto
    compression mode (only available for repository format version 2), one of (auto|off|max)

--insecure-tls[=false]
    skip TLS certificate verification when connecting to the repository (insecure)

--json[=false]
    set output mode to JSON for commands that support it

--key-hint=""
    key ID of key to try decrypting first (default: $RESTIC_KEY_HINT)

--limit-download=0
    limits downloads to a maximum rate in KiB/s. (default: unlimited)

--limit-upload=0
    limits uploads to a maximum rate in KiB/s. (default: unlimited)

--no-cache[=false]
    do not use a local cache

--no-lock[=false]
    do not lock the repository, this allows some operations on read-only repositories

-o, --option=[]
    set extended option (key=value, can be specified multiple times)

--pack-size=0
    set target pack size in MiB, created pack files may be larger (default: $RESTIC_PACK_SIZE)

--password-command=""
    shell command to obtain the repository password from (default: $RESTIC_PASSWORD_COMMAND)

-p, --password-file=""
    file to read the repository password from (default: $RESTIC_PASSWORD_FILE)

-q, --quiet[=false]
    do not output comprehensive progress report

-r, --repo=""
    repository to backup to or restore from (default: $RESTIC_REPOSITORY)

--repository-file=""
    file to read the repository location from (default: $RESTIC_REPOSITORY_FILE)

--tls-client-cert=""
    path to a file containing PEM encoded TLS client certificate and private key

-v, --verbose[=0]
    be verbose (specify multiple times or a level using --verbose=n, max level/times is 2)

SEE ALSO

restic(1)